webpackJsonp([7],{

/***/ 796:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "GamecastPageModule", function() { return GamecastPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__gamecast__ = __webpack_require__(804);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__shared_shared_module__ = __webpack_require__(433);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var GamecastPageModule = (function () {
    function GamecastPageModule() {
    }
    return GamecastPageModule;
}());
GamecastPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__gamecast__["a" /* GamecastPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__gamecast__["a" /* GamecastPage */]),
            __WEBPACK_IMPORTED_MODULE_3__shared_shared_module__["a" /* SharedModule */]
        ],
    })
], GamecastPageModule);

//# sourceMappingURL=gamecast.module.js.map

/***/ }),

/***/ 804:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GamecastPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__providers_app_settings__ = __webpack_require__(46);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_network_connection__ = __webpack_require__(152);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_stats_api_service__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var GamecastPage = (function () {
    function GamecastPage(navCtrl, navParams, statService, appSettingsProvider, zone, networkService, events) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.statService = statService;
        this.appSettingsProvider = appSettingsProvider;
        this.zone = zone;
        this.networkService = networkService;
        this.events = events;
        this.game = [];
        this.loading = true;
        this.online = true;
        this.game$ = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__["BehaviorSubject"]([]);
        this.networkService.online$.subscribe(function (response) {
            console.log("subscribe event network online", response);
            if (response) {
                _this.online = true;
                _this.getConsult();
            }
            else {
                clearInterval(_this.refreshGamecast);
                _this.online = false;
                _this.loading = false;
            }
        });
    }
    GamecastPage.prototype.ngOnInit = function () {
        //Called after the constructor, initializing input properties, and the first call to ngOnChanges.
        //Add 'implements OnInit' to the class.
        //console.log(this.navParams.get('game.game.id'))
        this.gameId = this.navParams.get('game');
        this.gameStatus = this.navParams.get('status');
        console.log(this.gameStatus);
        this.getGamecastBoxscoreByGame(this.gameId);
        this.getConsult();
    };
    GamecastPage.prototype.getConsult = function () {
        if (this.gameStatus === 'in_process' || this.gameStatus === 'previous')
            return this.consultInterval();
    };
    GamecastPage.prototype.getGamecastBoxscoreByGame = function (id, refresher) {
        var _this = this;
        setTimeout(function () {
            _this.statService.getGamecastBoxscoreByGame(id)
                .subscribe(function (game) {
                console.log(game);
                _this.online = true;
                _this.zone.run(function () {
                    _this.game$.next(game);
                });
            }, function (error) {
                console.error(error);
                if (error.status === 0) {
                    _this.online = false;
                }
                ;
            }, function () {
                _this.loading = false;
                if (refresher)
                    refresher.complete();
                _this.game$.subscribe(function (game) { return _this.game = game; });
            });
        }, 150);
    };
    GamecastPage.prototype.consultInterval = function () {
        var _this = this;
        this.refreshGamecast = setInterval(function () {
            _this.getGamecastBoxscoreByGame(_this.gameId);
        }, this.appSettingsProvider.timeConsultGamecast);
    };
    GamecastPage.prototype.startRefresh = function (refresher) {
        //this.getGamecastBoxscoreByGame(this.gameId, refresher);
    };
    GamecastPage.prototype.ionViewWillLeave = function () {
        this.events.publish('getResults', true);
    };
    GamecastPage.prototype.ngOnDestroy = function () {
        //Called once, before the instance is destroyed.
        //Add 'implements OnDestroy' to the class.
        clearInterval(this.refreshGamecast);
    };
    return GamecastPage;
}());
GamecastPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_2__angular_core__["Component"])({
        selector: 'page-gamecast',template:/*ion-inline-start:"C:\Users\medianet\Documents\VCORREA\elabonado-ionic\src\pages\gamecast\gamecast.html"*/'\n\n<ion-header>\n\n  <ion-navbar color="abonado" align-title="left">\n\n      <button ion-button menuToggle>\n\n          <ion-icon name="menu"></ion-icon>\n\n      </button>\n\n      <ion-toolbar>\n\n        <ion-title text-center>\n\n          <img src="assets/img/Logo El Abonado.svg" class="logo">\n\n        </ion-title>\n\n      </ion-toolbar>\n\n    <ion-buttons end>\n\n      <button disabled ion-button icon-left>\n\n        <ion-icon color="abonado" name="icon-search-moon"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<scoreboard-live *ngIf="!loading && game?.game.status === \'in_process\'" [game]="game$ | async"></scoreboard-live>\n\n\n\n<ion-content no-padding>\n\n\n\n  <ion-refresher [enabled]="!loading && (game.game.status === \'in_process\' || game.game.status === \'previous\') " (ionRefresh)="startRefresh($event)">\n\n    <ion-refresher-content\n\n      pullingIcon="arrow-dropdown"\n\n      pullingText=""\n\n      refreshingText="">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <results-not-found *ngIf="!online" [message]="\'Conexión a internet interrumpida\'"></results-not-found>\n\n  <loading-indicator *ngIf="loading"></loading-indicator>\n\n\n\n  <ng-container      *ngIf="!loading && online && game?.game.status">\n\n    <ion-row class="scoreboard-live-status-bar" align-items-center no-padding>\n\n      <ion-col no-padding>\n\n        <ion-col align-self-center no-padding>\n\n          <ion-col no-padding>\n\n            <span class="letter">B</span>\n\n            <span class="dot-outline" [ngClass]="{\'full\': (game.live_game.balls === 1 || game.live_game.balls === 2 || game.live_game.balls === 3)}"></span>\n\n            <span class="dot-outline" [ngClass]="{\'full\': (game.live_game.balls === 2 || game.live_game.balls === 3)}"></span>\n\n            <span class="dot-outline" [ngClass]="{\'full\': (game.live_game.balls === 3)}"></span>\n\n          </ion-col>\n\n          <ion-col no-padding>\n\n            <span class="letter">S</span>\n\n            <span class="dot-outline" [ngClass]="{\'full\': (game.live_game.strikes === 1 || game.live_game.strikes === 2)}"></span>\n\n            <span class="dot-outline" [ngClass]="{\'full\': (game.live_game.strikes === 2)}"></span>\n\n          </ion-col>\n\n          <ion-col no-padding>\n\n            <span class="letter">O</span>\n\n            <span class="dot-outline" [ngClass]="{\'full\': (game.live_game.outs === 1 || game.live_game.outs === 2)}"></span>\n\n            <span class="dot-outline" [ngClass]="{\'full\': (game.live_game.outs === 2)}"></span>\n\n          </ion-col>\n\n        </ion-col>\n\n      </ion-col>\n\n    </ion-row>\n\n    <scoreboard-innings [game]="game$ | async"></scoreboard-innings>\n\n    <scoreboard-info-live *ngIf="game.game?.status === \'in_process\'" [game]="game$ | async"></scoreboard-info-live>\n\n    <slide-details-game [game]="game$ | async"></slide-details-game>\n\n  </ng-container>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\medianet\Documents\VCORREA\elabonado-ionic\src\pages\gamecast\gamecast.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_5__providers_stats_api_service__["a" /* StatService */],
        __WEBPACK_IMPORTED_MODULE_0__providers_app_settings__["a" /* AppSettingsProvider */],
        __WEBPACK_IMPORTED_MODULE_2__angular_core__["NgZone"], __WEBPACK_IMPORTED_MODULE_4__providers_network_connection__["a" /* NetworkConnectionProvider */],
        __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["Events"]])
], GamecastPage);

//# sourceMappingURL=gamecast.js.map

/***/ })

});
//# sourceMappingURL=7.js.map