webpackJsonp([4],{

/***/ 795:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NotificationsPageModule", function() { return NotificationsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__notifications__ = __webpack_require__(803);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var NotificationsPageModule = (function () {
    function NotificationsPageModule() {
    }
    return NotificationsPageModule;
}());
NotificationsPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__notifications__["a" /* NotificationsPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__notifications__["a" /* NotificationsPage */])
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__notifications__["a" /* NotificationsPage */]
        ]
    })
], NotificationsPageModule);

//# sourceMappingURL=notifications.module.js.map

/***/ }),

/***/ 803:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NotificationsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_firebase__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_settings__ = __webpack_require__(156);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(94);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var NotificationsPage = (function () {
    function NotificationsPage(navCtrl, toastCtrl, firebase, userSettingsDB, storage) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.toastCtrl = toastCtrl;
        this.firebase = firebase;
        this.userSettingsDB = userSettingsDB;
        this.storage = storage;
        this.topics = [];
        this.toggleDisable = false;
        this.showSpinner = true;
        setTimeout(function () {
            _this.showSpinner = false;
        }, 1000);
        this.stateNotifications();
        this.userSettingsDB.getSettings().then(function (res) {
            console.log(res);
            res.rows.map(function (row) {
                console.log(row.doc);
                if (row.doc.isChecked) {
                    _this.subscribeToTopic(row.doc, false)
                        .then(function () { return console.log("ok subscribe topic"); })
                        .catch(function (reason) { return console.warn("error " + reason); });
                }
                else if (row.doc.isChecked == false) {
                    _this.unsubscribeToTopic(row.doc, false)
                        .then(function () { return console.log("ok unsuscribe topic"); })
                        .catch(function (reason) { return console.warn("error " + reason); });
                }
                ;
                _this.topics.push(row.doc);
            });
            console.log(_this.topics);
        })
            .catch(function (reason) { return console.warn(reason); });
    }
    NotificationsPage.prototype.stateNotifications = function () {
        var _this = this;
        this.storage.get('notifications').then(function (val) {
            console.log('Your val is', val);
            val === true ? _this.toggleDisable = false : _this.toggleDisable = true;
        });
    };
    NotificationsPage.prototype.notifications = function (event) {
        console.log(event);
        console.log("notifications");
        if (event.checked) {
            this.storage.set('notifications', true);
            this.toggleDisable = false;
            this.activateTopics();
        }
        else if (!event.checked) {
            this.toggleDisable = true;
            this.storage.set('notifications', false);
            this.resetNotifications();
        }
        ;
    };
    NotificationsPage.prototype.resetNotifications = function () {
        var _this = this;
        this.topics.forEach(function (topic) {
            console.log(topic);
            if (topic.isChecked) {
                _this.unsubscribeToTopic(topic, true)
                    .then(function (res) {
                    console.log(res);
                    topic.isChecked = false;
                })
                    .catch(function (reason) {
                    console.warn(reason);
                    topic.isChecked = false;
                });
            }
        });
    };
    NotificationsPage.prototype.activateTopics = function () {
        var _this = this;
        this.topics.forEach(function (topic) {
            console.log(topic);
            if (!topic.isChecked) {
                _this.subscribeToTopic(topic, true)
                    .then(function (res) {
                    console.log(res);
                    topic.isChecked = true;
                })
                    .catch(function (reason) {
                    console.warn(reason);
                    topic.isChecked = false;
                });
            }
        });
    };
    /**
     * Event and topic allows subscribe to topic
     *
     * @param {any} ev
     * @param {any} topic
     * @memberof NotificationsPage
     */
    NotificationsPage.prototype.changeSetting = function (ev, topic) {
        var _this = this;
        console.log(topic);
        console.log(ev);
        var subscribe = ev;
        switch (subscribe) {
            case true: {
                console.log("es verdadero");
                this.subscribeToTopic(topic, false).then(function (res) {
                    console.log(res);
                }).catch(function (err) {
                    console.warn(err);
                    return _this.changeState(topic, true).then(function (res) { return console.log(res); });
                });
                break;
            }
            case false: {
                console.log("es falso");
                this.unsubscribeToTopic(topic, false).then(function (res) {
                    console.log(res);
                }).catch(function (err) {
                    console.warn(err);
                    return _this.changeState(topic, false).then(function (res) { return console.log(res); });
                });
                break;
            }
        }
    };
    /**
     * Change toggle state. If catch a error while trying subscribe/unsubscribe to topic
     *
     * @param {any} topic
     * @param {boolean} state
     * @returns {Promise<any>}
     * @memberof NotificationsPage
     */
    NotificationsPage.prototype.changeState = function (topic, state) {
        return new Promise(function (resolve) {
            setTimeout(function () {
                topic.isChecked = !state;
            }, 1500);
            resolve(topic.isChecked);
        });
    };
    /**
     * Subscribe to topic and save user setting in database
     *
     * @param {any} topic
     * @returns {Promise <any>}
     * @memberof NotificationsPage
     */
    NotificationsPage.prototype.subscribeToTopic = function (topic, reset) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            console.log(topic);
            console.log(topic.topic);
            _this.firebase.subscribe(topic.topic)
                .then(function (response) {
                _this.userSettingsDB.updateSettings(topic, reset).then(function (res) {
                    console.log(res);
                    console.log("suscrito");
                    //this.presentToast(`Suscrito`);
                    resolve();
                }).catch(function (err) {
                    console.warn(err);
                    reject(err);
                });
            }).catch(function (reason) {
                //this.presentToast(`Ocurrio un error al suscribirse`);
                console.log('error al suscribir el topic');
                console.warn(reason);
                reject(reason);
            });
        });
    };
    /**
     *
     *
     * @param {any} topic
     * @returns {Promise <any>}
     * @memberof NotificationsPage
     */
    NotificationsPage.prototype.unsubscribeToTopic = function (topic, reset) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            console.log(topic);
            _this.firebase.unsubscribe(topic.topic)
                .then(function (response) {
                _this.userSettingsDB.updateSettings(topic, reset).then(function (res) {
                    console.log(res);
                    console.log("unsuscrito");
                    //this.presentToast(`unsubscribe`);
                    resolve();
                }).catch(function (err) {
                    console.warn(err);
                    reject(err);
                });
            }).catch(function (reason) {
                //this.presentToast(`Ocurrio un error al desuscribirse`);
                console.warn(reason);
                reject(reason);
            });
        });
    };
    NotificationsPage.prototype.presentToast = function (msg) {
        var toast = this.toastCtrl.create({
            message: msg,
            duration: 1500,
            position: 'bottom',
            dismissOnPageChange: false
        });
        toast.onDidDismiss(function () {
            console.log('Dismissed toast');
        });
        toast.present();
    };
    return NotificationsPage;
}());
NotificationsPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-notifications',template:/*ion-inline-start:"C:\Users\medianet\Documents\VCORREA\elabonado-ionic\src\pages\notifications\notifications.html"*/'<ion-header #myHeader> \n\n  <ion-navbar color="abonado" align-title="left">\n\n      <button ion-button menuToggle>\n\n          <ion-icon name="menu"></ion-icon>\n\n      </button>\n\n      <ion-toolbar>\n\n        <ion-title text-center>\n\n          <img src="assets/img/Logo El Abonado.svg" class="logo">\n\n        </ion-title>\n\n      </ion-toolbar>\n\n    <ion-buttons end> \n\n      <button disabled ion-button icon-left>\n\n        <ion-icon color="abonado" name="icon-search-moon"></ion-icon>\n\n      </button>\n\n    </ion-buttons> \n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n\n\n<ion-content no-padding>\n\n\n\n  <div class="spinner" *ngIf="showSpinner"> \n\n    <ion-spinner class = "first-spinner"></ion-spinner>\n\n  </div> \n\n\n\n  <ion-card *ngIf="!showSpinner">\n\n    <ion-list-header text-center strong>\n\n      NOTIFICACIONES\n\n    </ion-list-header>\n\n\n\n    <ion-item class="main-toggle">\n\n      <ion-toggle [(ngModel)]="!toggleDisable" (ionChange)="notifications($event)"></ion-toggle>\n\n      <ion-icon name="ios-notifications-outline" color="iconDisable" item-start></ion-icon>\n\n      <ion-label> Notificaciones </ion-label>\n\n    </ion-item>\n\n\n\n    <ion-list>\n\n      <ion-item *ngFor="let topic of topics" [attr.topic]="topic.topic | lowercase">\n\n          <ion-toggle [disabled]="toggleDisable" [(ngModel)]="topic.isChecked" (ngModelChange)="changeSetting($event, topic)"></ion-toggle> \n\n          <ion-icon [name]="topic.icon" color="iconDisable" item-start></ion-icon>\n\n          <ion-label> {{topic.name}} </ion-label>\n\n      </ion-item>\n\n    </ion-list>\n\n  </ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\medianet\Documents\VCORREA\elabonado-ionic\src\pages\notifications\notifications.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
        __WEBPACK_IMPORTED_MODULE_2__ionic_native_firebase__["a" /* Firebase */],
        __WEBPACK_IMPORTED_MODULE_3__providers_user_settings__["a" /* UserSettingsProvider */],
        __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */]])
], NotificationsPage);

//# sourceMappingURL=notifications.js.map

/***/ })

});
//# sourceMappingURL=4.js.map